Name:           perl-SDL
Version:        1.20.3
Release:        7%{?dist}
Summary:        SDL bindings for the Perl language

Group:          Development/Libraries
License:        LGPL
URL:            http://bloodgate.com/perl/sdl/sdl_perl.html
Source0:        http://bloodgate.com/perl/sdl/pub/SDL_perl-1.20.3.tar.gz
Patch0:         http://ftp.debian.org/debian/pool/main/s/sdlperl/sdlperl_1.20.3-4.diff.gz
Patch1:         %{name}-incdirs.patch
Patch2:         %{name}-no-mixertest.patch
Patch3:         %{name}-gfxPie.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel >= 1.2.5
BuildRequires:  SDL_mixer-devel >= 1.0.5
BuildRequires:  SDL_image-devel >= 1.0.0
BuildRequires:  SDL_net-devel
BuildRequires:  SDL_ttf-devel
BuildRequires:  SDL_gfx-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  smpeg-devel
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  libGLU-devel
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# These outsmart rpm's autodep stuff.
Provides:       perl(SDL::Constants), perl(SDL::OpenGL::Constants)

%description
SDL (Simple DirectMedia Layer) bindings for the perl language.


%prep
%setup -q -n SDL_perl-%{version}
%patch0 -p1
for file in debian/patches/*.diff ; do %{__patch} -p1 -i $file ; done
%patch1 -p0
%{!?_with_mixertest:%patch2 -p0}
%patch3


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc BUGS CHANGELOG COPYING README README.orig TODO
%{perl_vendorarch}/auto/SDL*
%{perl_vendorarch}/SDL*
%{_mandir}/man3/SDL*.3*


%changelog
* Sat Mar 18 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.20.3-7
- Sync with Debian's 1.20.3-4.
- Default SDL_mixer tests to off.

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 1.20.3-6
- switch to new release field
- fix BR

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Thu Sep 29 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.20.3-0.lvn.5
- Clean up obsolete pre-FC3 support (SDL_gfx support is now unconditional).
- Drop zero Epochs.

* Mon Jul  4 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20.3-0.lvn.4
- Clean up obsolete pre-FC2 support.

* Fri Feb 25 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20.3-0.lvn.3
- Build with SDL_gfx support by default, add "--without gfx" build option.
- Patch to sync with SDL_gfx >= 2.0.12 API changes (bug 374).

* Sun Jul 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20.3-0.lvn.2
- Add "--without mixertest" build option for build roots without audio devices,
  and "--without tests" option to disable tests altogether, needed in FC1
  due to buggy libtiff package (bug 107).

* Sat Jul  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20.3-0.lvn.1
- Update to 1.20.3.
- Clean up list of searched include dirs.

* Wed Jun 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20.0-0.lvn.4
- Partial specfile rewrite according to current fedora.us Perl spec template.
- Use tarball + patch from Debian.
- Borrow libGLU fix from Ian Burrell and Matthias Saou, and adjust it a bit:
  http://lists.freshrpms.net/pipermail/freshrpms-list/2003-December/006843.html
- BuildRequire SDL_ttf-devel.

* Fri Jun 27 2003 Phillip Compton <pcompton at proteinmedia dot com> 0:1.20.0-0.fdr.3
- Applied patch to spec from Ville Skyttä changeing:
- BuildRequires: smpeg-devel.
- Run make test during build.
- Get rid of unneeded files in installation directories.
- Make installed files writable so that non-root strip works.

* Sun Jun 22 2003 Phillip Compton <pcompton at proteinmedia dot com> 0:1.20.0-0.fdr.2
- Used cpanflute2 to redo the build and install sections.

* Tue May 27 2003 Phillip Compton <pcompton at proteinmedia dot com> 0:1.20.0-0.fdr.1
- Fedorafied

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Mon Feb 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.20.0.

* Mon Oct 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.19.0.
- Major spec file adaptation :-/

* Fri Sep 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.18.7.
- Minor spec cleanups.

* Mon Apr 15 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.16.

* Thu Feb  7 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
